void printc(char val);

int main()
{
  unsigned char i;

  for (i = -2; (char)i < 3; i++) {
    switch (i) {
    case 0:
      break;
    default:
      printc(i);
      break;
    }
  }

  return 0;
}
